@ECHO OFF
CLS
ECHO . ICU V1.41 for Windows installation program.
ECHO .
ECHO .
:START
IF "%2" == "" GOTO MESSAGE1
IF NOT EXIST %2\WIN.COM GOTO MESSAGE2
IF "%1" == "" GOTO MESSAGE
IF "%1" == "A:" GOTO ERROR1
IF "%1" == "B:" GOTO ERROR1
IF "%1" == "A" GOTO MESSAGE
IF "%1" == "B" GOTO MESSAGE
IF "%1" == "C" GOTO MESSAGE
IF "%1" == "D" GOTO MESSAGE
IF "%1" == "E" GOTO MESSAGE
IF "%1" == "F" GOTO MESSAGE
IF "%1" == "G" GOTO MESSAGE
IF "%1" == "H" GOTO MESSAGE
IF "%1" == "I" GOTO MESSAGE
IF "%1" == "J" GOTO MESSAGE
IF "%1" == "K" GOTO MESSAGE
IF "%1" == "L" GOTO MESSAGE
IF "%1" == "M" GOTO MESSAGE
IF "%1" == "N" GOTO MESSAGE
IF "%1" == "O" GOTO MESSAGE
IF "%1" == "P" GOTO MESSAGE
IF "%1" == "Q" GOTO MESSAGE
IF "%1" == "R" GOTO MESSAGE
IF "%1" == "S" GOTO MESSAGE
IF "%1" == "T" GOTO MESSAGE
IF "%1" == "U" GOTO MESSAGE
IF "%1" == "V" GOTO MESSAGE
IF "%1" == "W" GOTO MESSAGE
IF "%1" == "X" GOTO MESSAGE
IF "%1" == "Y" GOTO MESSAGE
IF "%1" == "Z" GOTO MESSAGE
GOTO COPYFILE
:COPYFILE
call WICU141 %1\
GOTO OK
:MESSAGE
ECHO .        Which destination drive do you want to install?
ECHO .
ECHO . Correct syntax " install D: "
GOTO END
:MESSAGE1
ECHO .        Which path to store your MS-WINDOWS....
ECHO .
ECHO . Correct syntax " INSTALL C: C:\WINDOWS"
GOTO END
:MESSAGE2
ECHO . SORRY !!!
ECHO .        I can not find Windows in %2  ..............
ECHO .
ECHO . Please make sure correct path to your MS-WINDOWS
GOTO END
:ERROR1
ECHO . SORRY !!!
ECHO .        Destination drive must be Hard Disk
ECHO .        and Its free space is bigger than 1,200,000 Bytes
ECHO . Correct syntax for example " INSTALL C: "
GOTO END
:OK
%1
CD\WICU
CALL %2\WIN %1\WICU\SETUP.EXE
:END
ECHO .
